> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/tennis/schedule-endpoints-restful-1/players/response-model.md).

# Response Model

An array of player details objects.

## Player Details Object

| Field Name    | Type    | Description                                                 |
| ------------- | ------- | ----------------------------------------------------------- |
| playerSummary | object  | Player Object containing basic information about the player |
| active        | boolean | indicating whether the player is active or inactive         |
| gender        | string  | Possibles values are “Male” and “Female”                    |
| rankDate      | string  | The most recent rankdate                                    |

## Player Details Object (Optional fields)

\*Please note that the optional fields are dependent on data being known and available in our database.

| Field Name             | Type    | Description                                                            |
| ---------------------- | ------- | ---------------------------------------------------------------------- |
| currentSinglesRank     | int     | Current singles rank                                                   |
| currentSinglesRankTied | boolean | True if tied for current singles rank                                  |
| currentDoublesRank     | int     | Current doubles rank                                                   |
| currentDoublesRankTied | boolean | True if tied for current doubles rank                                  |
| currentYTDRank         | int     | Current YTD rank                                                       |
| currentYTDRankTied     | boolean | True if tied for current YTD rank                                      |
| singlesRollingPoints   | int     | Singles rolling points. Points earned by a player in the last 52 weeks |
| doublesRollingPoints   | int     | Doubles Rolling Points. Points earned by a player in the last 52 weeks |
| singlesRacePoints      | int     | Singles Race Points. Points earned by a player in the calendar year    |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sportradar.com/tennis/schedule-endpoints-restful-1/players/response-model.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
